SDL_DestroyTexture(3)

NAME
SDL_DestroyTexture - Destroy the specified texture.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_DestroyTexture(SDL_Texture *texture);

DESCRIPTION
Passing NULL or an otherwise invalid texture will set the SDL error message to "Invalid texture".

FUNCTION PARAMETERS

texture
    the texture to destroy.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateTexture(3), •(3), SDL_CreateTextureFromSurface(3)